d2x v8 install failing (network problem?)

Discussion in 'Wii - Hacking' started by shinkodachi, Apr 13, 2014.

  1. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    Trying to get USB Loader GX working on a Wii. System Menu 4.3E installed, HBC 1.1.2 installed through LetterBomb exploit, using d2x-cios-installer 3.1 and v8 final. Trying install with base IOS 56 on 249, but the end result is one of the following:

    1. "net_init failed" (usually trying again in a few minutes this goes away)
    2. "net_gethostbyname failed: -6" repeatedly on the screen
    3. It looks like tmd.5661 starts downloading and installation happens, but then fails and I'm back to the slot selection

    My Wii has a consistent network connection and I tried resetting my router: no problems there. Since I use a Mac, I can't use NUS Downloader and the guides I found to get it to work on Mac by recompiling were incomplete and outdated. So I can't download the necessary WADs for offline install (i.e. IOS56-64-v5661.wad and IOS57-64-v5918.wad).

    What are my options?
     
  2. Shadow#1

    Shadow#1 Wii & 3DS Softmod Expert

    Member
    4,058
    1,154
    Nov 21, 2005
    United States
    those ios's r already on your wii u dont need them just get the 249 wad and install it via any method that u would install wad's
     
  3. worm28

    worm28 GBAtemp Advanced Fan

    Member
    710
    134
    Jun 2, 2013
    United States
    You can get those cios wads from modmii look for beta section in cios section.
     
  4. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    ModMii installer? Downloads as an .EXE which I can't run on Mac. Or am I missing something?

    EDIT: And I'm trying the WAD method now... we'll see how it goes
     
  5. SickPuppy

    SickPuppy New Member

    Member
    1,792
    452
    Jul 29, 2009
    United States
    You should have hbc 1.1.0 installed to a wii, not hbc 1.1.2.

    look here and download the previous version - v1.0, it's in small print right under the description for the v1.2
    http://bootmii.org/download/
     
  6. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    I don't understand how this relates to my problem, can you please elaborate? In the changelog I didn't notice anything significant http://www.wiibrew.org/wiki/Homebrew_Channel#1.1.2. AFAIK HBC affects IOS58 anyway, but for installation IOS36/IOS236 is required and that could be key to why the d2x installation is failing. I don't have a patched IOS236 installed.

    Right now I'm trying another method, getting the WADs off my Wii using bluedump. Most of the utilities I've found are for Windows only that would make this much easier (ModMii, NUS Downloader, etc.). Let's see how it goes.
     
  7. Shadow#1

    Shadow#1 Wii & 3DS Softmod Expert

    Member
    4,058
    1,154
    Nov 21, 2005
    United States
    shinkodachi, SickPuppy is just a troll
     
  8. SickPuppy

    SickPuppy New Member

    Member
    1,792
    452
    Jul 29, 2009
    United States
    Some wii homebrew may need an update to run correctly with the homebrew channel v1.1.2. I cannot say for sure that the d2x cIOS installer needs an update to work correctly with hbc 1.1.2, but you are having problems with it, and the only way to know if the hbc is the problem is to install the hbc version that the app was coded to work with. On another note, some people had problems with the network install of the d2x cIOS installer (even before hbc 1.1.2 was released), so you may need an alternate method of acquiring the ios wads for a wad install.


    not a troll
     
  9. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    Just can't get nothing to work. bluedump 0.4a crashed and I have no WAD method yet.

    Here's the thing, I have used this same setup previously to install d2x v6 on IOS249 with base IOS37. And I tried that method again, overwriting the IOS249 slot. It doesn't work either. So I can't install v8 or v6. What did I do wrong?
     
  10. SickPuppy

    SickPuppy New Member

    Member
    1,792
    452
    Jul 29, 2009
    United States
  11. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,769
    9,042
    Oct 27, 2002
    France
    Engine room, learning
    All HBC version since 1.0.7 are working fine, as long as it's compatible with AHB access.
    1.1.2 is not needed, but you can install it on wii without problem.

    There's nothing like "specific homebrew for 1.1.2".
    Do you have any link to such homebrew so I can learn and help other users better next time?
     
  12. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    That's the one I tried after 0.4a.

    So here's the situation: the same files on the same SD card aren't working anymore. d2x-cios-installer won't even install v6 on IOS249 with base IOS37 as I had initially. Now I want IOS249 with base IOS56 and IOS250 with base IOS57 for better compatibility, but as it stands my I can't get ANY cIOS on my Wii. I'm out of luck.
     
  13. SickPuppy

    SickPuppy New Member

    Member
    1,792
    452
    Jul 29, 2009
    United States
    sounds bad. I would copy everything from the SD card and re-format it, also re-download the apps that aren't working and install fresh apps. Surely you have IOS236 installed to your Wii, maybe reinstalling that may help, and make sure you are using IOS236 to run bluedump and the d2x installer. Maybe posting a syscheck may help.


    It's been so long since I've seen it, I have read somewhere once that somethings that work on a wii with hbc 1.1.0 will not work with hbc 1.1.2, what was included I cannot say since I cannot remember.

    edit - the first time I got a code dump on the hbc screen with hbc 1.1.2 installed was the last time I used hbc 1.1.2 on my regular wii.
     
  14. shinkodachi
    OP

    shinkodachi On permanent leave

    Member
    1,478
    402
    Dec 31, 2013
    Finland
    FIXED THE ISSUE.

    For some reason I had removed the meta.xml file of the d2x-cios-installer. That caused these problems.
     
  15. SickPuppy

    SickPuppy New Member

    Member
    1,792
    452
    Jul 29, 2009
    United States
    I wonder if changing something in the meta.xml would have allowed it to work for you.

    Removing the meta.xml, I'll have to remember that one, good to see you got it to work.